Bug 99015 - ps shows bogus CPU information
ps shows bogus CPU information
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-11 13:57 EDT by acount closed by user
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-10 05:18:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description acount closed by user 2003-07-11 13:57:28 EDT
Description of problem:

xose      7533 44.9  0.1  1496  276 pts/0    R    23:02   1:43 ./lucifer 
xose      7538 34.4  0.1  1492  276 pts/0    R    23:03   0:59 ./lucifer 
xose      7544 26.2  0.1  1504  380 pts/0    R    23:04   0:30 ./lucifer 
xose      7559 25.1  0.1  1488  276 pts/0    R    23:05   0:15 ./lucifer 

CPU is more than 100% -> impossible

but top, mpstat, vmstat are ok

Version-Release number of selected component (if applicable):

procps-2.0.11-6


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Alexander Larsson 2003-09-25 04:58:53 EDT
This is probably not a procps bug, but just the usual poor process accounting
that Linux does. However, that should show up in top too. When you say you don't
see it in top, do you mean the total cpu usage or in the actual process listings?
Comment 2 acount closed by user 2003-09-25 17:42:34 EDT
ps shows impossible CPU values. But with top, mpstat or vmstat I get correct CPU
values.

This is a very clear ps bug
Comment 3 acount closed by user 2003-09-25 19:46:23 EDT
I forgot it. top shows _correct values_ in the total cpu usage _and_ in the
actual process listings.
Comment 4 Daniel Walsh 2004-03-28 21:27:42 EST
Is this fixed by version 3.1.15 or later versions?
Comment 5 acount closed by user 2004-04-02 16:40:09 EST
I will see it....
Comment 6 Daniel Walsh 2004-05-28 13:50:36 EDT
Upstream procps says that this is a kernel problem.
Comment 7 acount closed by user 2004-06-10 05:18:50 EDT
ok. I'm going to close it, now RHL is dead.

-thanks-

Note You need to log in before you can comment on or make changes to this bug.